Index: tree-vect-analyze.c
===================================================================
RCS file: /cvs/gcc/gcc/gcc/tree-vect-analyze.c,v
retrieving revision 2.31
diff -Idpatel.pbxuser -c -3 -p -r2.31 tree-vect-analyze.c
*** tree-vect-analyze.c	26 Jun 2005 21:21:33 -0000	2.31
--- tree-vect-analyze.c	6 Jul 2005 02:12:41 -0000
*************** vect_analyze_loop_form (struct loop *loo
*** 2636,2649 ****
    loop_cond = vect_get_loop_niters (loop, &number_of_iterations);
    if (!loop_cond)
      {
!       if (vect_print_dump_info (REPORT_BAD_FORM_LOOPS, loop_loc))
  	fprintf (vect_dump, "not vectorized: complicated exit condition.");
        return NULL;
      }
    
    if (!number_of_iterations) 
      {
!       if (vect_print_dump_info (REPORT_BAD_FORM_LOOPS, loop_loc))
  	fprintf (vect_dump, 
  		 "not vectorized: number of iterations cannot be computed.");
        return NULL;
--- 2599,2612 ----
    loop_cond = vect_get_loop_niters (loop, &number_of_iterations);
    if (!loop_cond)
      {
!       if (vect_print_dump_info (REPORT_BAD_FORM_LOOPS))
  	fprintf (vect_dump, "not vectorized: complicated exit condition.");
        return NULL;
      }
    
    if (!number_of_iterations) 
      {
!       if (vect_print_dump_info (REPORT_BAD_FORM_LOOPS))
  	fprintf (vect_dump, 
  		 "not vectorized: number of iterations cannot be computed.");
        return NULL;
*************** vect_analyze_loop_form (struct loop *loo
*** 2651,2657 ****
  
    if (chrec_contains_undetermined (number_of_iterations))
      {
!       if (vect_print_dump_info (REPORT_BAD_FORM_LOOPS, loop_loc))
          fprintf (vect_dump, "Infinite number of iterations.");
        return false;
      }
--- 2614,2620 ----
  
    if (chrec_contains_undetermined (number_of_iterations))
      {
!       if (vect_print_dump_info (REPORT_BAD_FORM_LOOPS))
          fprintf (vect_dump, "Infinite number of iterations.");
        return false;
      }
*************** vect_analyze_loop_form (struct loop *loo
*** 2661,2667 ****
  
    if (!LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo))
      {
!       if (vect_print_dump_info (REPORT_DETAILS, loop_loc))
          {
            fprintf (vect_dump, "Symbolic number of iterations is ");
            print_generic_expr (vect_dump, number_of_iterations, TDF_DETAILS);
--- 2624,2630 ----
  
    if (!LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo))
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "Symbolic number of iterations is ");
            print_generic_expr (vect_dump, number_of_iterations, TDF_DETAILS);
*************** vect_analyze_loop_form (struct loop *loo
*** 2670,2682 ****
    else
    if (LOOP_VINFO_INT_NITERS (loop_vinfo) == 0)
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS, loop_loc))
          fprintf (vect_dump, "not vectorized: number of iterations = 0.");
        return NULL;
      }
  
    LOOP_VINFO_EXIT_COND (loop_vinfo) = loop_cond;
-   LOOP_VINFO_LOC (loop_vinfo) = loop_loc;
  
    return loop_vinfo;
  }
--- 2633,2644 ----
    else
    if (LOOP_VINFO_INT_NITERS (loop_vinfo) == 0)
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
          fprintf (vect_dump, "not vectorized: number of iterations = 0.");
        return NULL;
      }
  
    LOOP_VINFO_EXIT_COND (loop_vinfo) = loop_cond;
  
    return loop_vinfo;
  }
*************** vect_analyze_loop (struct loop *loop)
*** 2693,2699 ****
    bool ok;
    loop_vec_info loop_vinfo;
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "===== analyze_loop_nest =====");
  
    /* Check the CFG characteristics of the loop (nesting, entry/exit, etc.  */
--- 2655,2661 ----
    bool ok;
    loop_vec_info loop_vinfo;
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "===== analyze_loop_nest =====");
  
    /* Check the CFG characteristics of the loop (nesting, entry/exit, etc.  */
*************** vect_analyze_loop (struct loop *loop)
*** 2701,2707 ****
    loop_vinfo = vect_analyze_loop_form (loop);
    if (!loop_vinfo)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "bad loop form.");
        return NULL;
      }
--- 2663,2669 ----
    loop_vinfo = vect_analyze_loop_form (loop);
    if (!loop_vinfo)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "bad loop form.");
        return NULL;
      }
*************** vect_analyze_loop (struct loop *loop)
*** 2715,2721 ****
    ok = vect_analyze_data_refs (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, "bad data references.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
--- 2677,2683 ----
    ok = vect_analyze_data_refs (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "bad data references.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
*************** vect_analyze_loop (struct loop *loop)
*** 2731,2737 ****
    ok = vect_mark_stmts_to_be_vectorized (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, "unexpected pattern.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
--- 2693,2699 ----
    ok = vect_mark_stmts_to_be_vectorized (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "unexpected pattern.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
*************** vect_analyze_loop (struct loop *loop)
*** 2740,2746 ****
    ok = vect_determine_vectorization_factor (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
          fprintf (vect_dump, "can't determine vectorization factor.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
--- 2702,2708 ----
    ok = vect_determine_vectorization_factor (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "can't determine vectorization factor.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
*************** vect_analyze_loop (struct loop *loop)
*** 2752,2758 ****
    ok = vect_analyze_data_ref_dependences (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, "bad data dependence.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
--- 2714,2720 ----
    ok = vect_analyze_data_ref_dependences (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "bad data dependence.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
*************** vect_analyze_loop (struct loop *loop)
*** 2764,2770 ****
    ok = vect_analyze_data_ref_accesses (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, "bad data access.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
--- 2726,2732 ----
    ok = vect_analyze_data_ref_accesses (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "bad data access.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
*************** vect_analyze_loop (struct loop *loop)
*** 2776,2782 ****
    ok = vect_analyze_data_refs_alignment (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, "bad data alignment.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
--- 2738,2744 ----
    ok = vect_analyze_data_refs_alignment (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "bad data alignment.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
*************** vect_analyze_loop (struct loop *loop)
*** 2788,2794 ****
    ok = vect_analyze_operations (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, "bad operation or unsupported loop bound.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
--- 2750,2756 ----
    ok = vect_analyze_operations (loop_vinfo);
    if (!ok)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "bad operation or unsupported loop bound.");
        destroy_loop_vec_info (loop_vinfo);
        return NULL;
